{"openapi":"3.1.0","info":{"title":"Opennote API Platform","version":"1.0.0"},"paths":{"/v1/video/create":{"post":{"summary":"Create Video Job","operationId":"create_video_job_v1_video_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoCreateJobRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoCreateJobResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"402":{"description":"Insufficient credits"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/video/status/{video_id}":{"get":{"summary":"Get Video Status","operationId":"get_video_status_v1_video_status__video_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"video_id","in":"path","required":true,"schema":{"type":"string","title":"Video Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VideoJobStatusResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}},"headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/journals/editor/create":{"put":{"summary":"Create Journal","operationId":"create_journal_v1_journals_editor_create_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJournalRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJournalResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/journals/editor/rename":{"patch":{"summary":"Rename Journal","operationId":"rename_journal_v1_journals_editor_rename_patch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenameJournalRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RenameJournalResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/journals/editor/import_from_markdown":{"put":{"summary":"Import From Markdown","operationId":"import_from_markdown_v1_journals_editor_import_from_markdown_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportFromMarkdownRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportFromMarkdownResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/journals/editor/model/{journal_id}":{"get":{"summary":"Model Info","operationId":"model_info_v1_journals_editor_model__journal_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"journal_id","in":"path","required":true,"schema":{"type":"string","title":"Journal Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelInfoResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}},"headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/journals/editor/delete/{journal_id}":{"delete":{"summary":"Delete Journal","operationId":"delete_journal_v1_journals_editor_delete__journal_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"journal_id","in":"path","required":true,"schema":{"type":"string","title":"Journal Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JournalDeleteResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}},"headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/journals/editor/edit":{"patch":{"summary":"Edit Journal","operationId":"edit_journal_v1_journals_editor_edit_patch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditJournalRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditJournalResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/journals/list":{"get":{"summary":"Get Journals List","operationId":"get_journals_list_v1_journals_list_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"page_token","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JournalsResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}},"headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/journals/content/{journal_id}":{"get":{"summary":"Get Journal Content","operationId":"get_journal_content_v1_journals_content__journal_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"journal_id","in":"path","required":true,"schema":{"type":"string","title":"Journal Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JournalContentResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}},"headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/interactives/flashcards/create":{"post":{"summary":"Create Flashcard Set","operationId":"create_flashcard_set_v1_interactives_flashcards_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlashcardCreateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlashcardCreateResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"402":{"description":"Insufficient credits"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/interactives/practice/create":{"post":{"summary":"Create Practice","operationId":"create_practice_v1_interactives_practice_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PracticeProblemSetJobCreateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PracticeProblemSetJobCreateResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"402":{"description":"Insufficient credits"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}},"/v1/interactives/practice/status/{set_id}":{"get":{"summary":"Get Practice Status","operationId":"get_practice_status_v1_interactives_practice_status__set_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"set_id","in":"path","required":true,"schema":{"type":"string","title":"Set Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PracticeProblemSetStatusResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"402":{"description":"Insufficient credits"},"429":{"description":"Rate limit exceeded"},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/interactives/practice/grade":{"post":{"summary":"Grade Practice","operationId":"grade_practice_v1_interactives_practice_grade_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GradeFRQRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GradeFRQResponse"}}}},"401":{"description":"Invalid API key or unauthorized access"},"402":{"description":"Insufficient credits"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}},"type":"object"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"HTTPBearer":[]}]}}},"components":{"schemas":{"ApiResponseJournal":{"properties":{"id":{"type":"string","title":"Id"},"title":{"type":"string","title":"Title"},"created_at":{"type":"string","title":"Created At"},"updated_at":{"type":"string","title":"Updated At"}},"additionalProperties":true,"type":"object","required":["id","title","created_at","updated_at"],"title":"ApiResponseJournal","description":"Journal metadata for API responses."},"BasicMessage":{"properties":{"role":{"type":"string","enum":["user","assistant","system"],"title":"Role"},"content":{"type":"string","title":"Content"}},"type":"object","required":["role","content"],"title":"BasicMessage","description":"Message format for generic requests, with simple schema for LLM use."},"BlockAttrs":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id"},"level":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Level"}},"additionalProperties":true,"type":"object","title":"BlockAttrs"},"BlockNode-Input":{"properties":{"type":{"type":"string","title":"Type"},"attrs":{"anyOf":[{"$ref":"#/components/schemas/BlockAttrs"},{"type":"null"}]},"content":{"anyOf":[{"items":{"$ref":"#/components/schemas/BlockNode-Input"},"type":"array"},{"type":"null"}],"title":"Content"},"marks":{"anyOf":[{"items":{"$ref":"#/components/schemas/Mark"},"type":"array"},{"type":"null"}],"title":"Marks"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Text"}},"additionalProperties":true,"type":"object","required":["type"],"title":"BlockNode"},"BlockNode-Output":{"properties":{"type":{"type":"string","title":"Type"},"attrs":{"anyOf":[{"$ref":"#/components/schemas/BlockAttrs"},{"type":"null"}]},"content":{"anyOf":[{"items":{"$ref":"#/components/schemas/BlockNode-Output"},"type":"array"},{"type":"null"}],"title":"Content"},"marks":{"anyOf":[{"items":{"$ref":"#/components/schemas/Mark"},"type":"array"},{"type":"null"}],"title":"Marks"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Text"}},"additionalProperties":true,"type":"object","required":["type"],"title":"BlockNode"},"CreateJournalRequest":{"properties":{"title":{"type":"string","title":"Title","description":"The title of the journal."},"team_slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Team Slug","description":"The team slug that the journal is associated with, if the type is `team`."}},"additionalProperties":true,"type":"object","required":["title"],"title":"CreateJournalRequest","description":"Request model for creating a journal."},"CreateJournalResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"journal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Id"},"journal_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Url"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success"],"title":"CreateJournalResponse","description":"Response model for creating a journal."},"CreateNodeOperation":{"properties":{"type":{"type":"string","const":"create_node","title":"Type"},"nodeType":{"type":"string","title":"Nodetype"},"params":{"items":{},"type":"array","title":"Params"},"referenceId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Referenceid"},"position":{"anyOf":[{"type":"string","enum":["before","after"]},{"type":"null"}],"title":"Position"}},"type":"object","required":["type","nodeType","params"],"title":"CreateNodeOperation"},"DeleteNodeOperation":{"properties":{"type":{"type":"string","const":"delete_node","title":"Type"},"nodeId":{"type":"string","title":"Nodeid"}},"type":"object","required":["type","nodeId"],"title":"DeleteNodeOperation"},"DeletedJournalData":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","title":"Type"},"color":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Color"},"title":{"type":"string","title":"Title"},"content":{"type":"string","title":"Content"},"comments":{"items":{},"type":"array","title":"Comments"},"created_at":{"type":"string","title":"Created At"},"is_trashed":{"type":"boolean","title":"Is Trashed"},"trashed_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Trashed At"},"updated_at":{"type":"string","title":"Updated At"},"font_family":{"type":"string","title":"Font Family"},"parent_item":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Item"},"order_indexes":{"anyOf":[{},{"type":"null"}],"title":"Order Indexes"},"publish_status":{"type":"string","title":"Publish Status"},"pending_invites":{"anyOf":[{},{"type":"null"}],"title":"Pending Invites"},"publish_subdomain":{"type":"string","title":"Publish Subdomain"}},"additionalProperties":true,"type":"object","required":["id","type","title","content","comments","created_at","is_trashed","updated_at","font_family","publish_status","publish_subdomain"],"title":"DeletedJournalData","description":"Detailed data about the deleted journal."},"EditJournalRequest":{"properties":{"journal_id":{"type":"string","title":"Journal Id"},"operations":{"items":{"anyOf":[{"$ref":"#/components/schemas/CreateNodeOperation"},{"$ref":"#/components/schemas/UpdateNodeOperation"},{"$ref":"#/components/schemas/DeleteNodeOperation"}]},"type":"array","title":"Operations"},"sync_realtime_state":{"type":"boolean","title":"Sync Realtime State","description":"Whether to directly update the state of the journal to all connected users. WARNING: Operations through synced states CANNOT be undone, and will remove Ctrl+Z functionality for all users for the changes","default":true}},"additionalProperties":true,"type":"object","required":["journal_id","operations"],"title":"EditJournalRequest"},"EditJournalResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"journal_id":{"type":"string","title":"Journal Id"},"results":{"items":{"$ref":"#/components/schemas/EditResults"},"type":"array","title":"Results"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success","journal_id","results"],"title":"EditJournalResponse"},"EditResults":{"properties":{"operation":{"type":"string","enum":["create_node","update_node","delete_node"],"title":"Operation"},"success":{"type":"boolean","title":"Success"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"},"data":{"anyOf":[{"$ref":"#/components/schemas/OperationResultData"},{"type":"null"}]}},"type":"object","required":["operation","success"],"title":"EditResults"},"Flashcard":{"properties":{"front":{"type":"string","title":"Front"},"back":{"type":"string","title":"Back"}},"type":"object","required":["front","back"],"title":"Flashcard","description":"Represents a flashcard."},"FlashcardCreateRequest":{"properties":{"set_description":{"type":"string","title":"Set Description","description":"The description of the flashcard set, i.e. what you want to include in the set."},"count":{"anyOf":[{"type":"integer","maximum":30.0,"minimum":1.0},{"type":"null"}],"title":"Count","description":"The number of flashcards to generate","default":10},"set_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Set Name","description":"The name of the flashcard set, if you want to provide one. If you do not, one will be generated for you at additional cost.","default":""}},"type":"object","required":["set_description"],"title":"FlashcardCreateRequest","description":"Request model for creating a flashcard set."},"FlashcardCreateResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"set_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Set Name"},"flashcards":{"anyOf":[{"items":{"$ref":"#/components/schemas/Flashcard"},"type":"array"},{"type":"null"}],"title":"Flashcards"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success"],"title":"FlashcardCreateResponse","description":"Response model for flashcard set creation."},"GradeFRQRequest":{"properties":{"problem":{"$ref":"#/components/schemas/PracticeProblem","description":"The practice problem to grade"}},"type":"object","required":["problem"],"title":"GradeFRQRequest"},"GradeFRQResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"timestamp":{"type":"string","title":"Timestamp"},"score":{"type":"integer","title":"Score"},"explanation":{"type":"string","title":"Explanation"},"max_score":{"type":"integer","title":"Max Score"},"percentage":{"type":"number","title":"Percentage"}},"type":"object","required":["success","timestamp","score","explanation","max_score","percentage"],"title":"GradeFRQResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ImportFromMarkdownRequest":{"properties":{"markdown":{"type":"string","title":"Markdown","description":"The markdown content to import."},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"The title of the journal, if you want to provide one.","default":"Imported Journal"},"team_slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Team Slug","description":"The team slug that the journal is associated with"}},"additionalProperties":true,"type":"object","required":["markdown"],"title":"ImportFromMarkdownRequest","description":"Request model for importing a journal from markdown."},"ImportFromMarkdownResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"journal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Id"},"journal_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Url"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success"],"title":"ImportFromMarkdownResponse","description":"Response model for importing a journal from markdown."},"JournalContentResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"journal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Id"},"content":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success"],"title":"JournalContentResponse","description":"Response model for journal content."},"JournalDeleteResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"timestamp":{"type":"string","title":"Timestamp"},"deleted_journal_data":{"anyOf":[{"$ref":"#/components/schemas/DeletedJournalData"},{"type":"null"}]}},"type":"object","required":["success"],"title":"JournalDeleteResponse","description":"Response model for journal deletion."},"JournalsResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"journals":{"anyOf":[{"items":{"$ref":"#/components/schemas/ApiResponseJournal"},"type":"array"},{"type":"null"}],"title":"Journals"},"next_page_token":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Next Page Token"}},"type":"object","required":["success"],"title":"JournalsResponse","description":"Response model for journal listings."},"Mark":{"properties":{"type":{"type":"string","title":"Type"},"attrs":{"anyOf":[{"$ref":"#/components/schemas/BlockAttrs"},{"type":"null"}]}},"additionalProperties":true,"type":"object","required":["type"],"title":"Mark"},"ModelInfoResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"model":{"anyOf":[{"$ref":"#/components/schemas/BlockNode-Output"},{"type":"null"}],"description":"The JSON representation of the model info."},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success","model"],"title":"ModelInfoResponse"},"OperationResultData":{"properties":{"created":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Created"},"nodeId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nodeid"},"updated":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Updated"},"deleted":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deleted"}},"type":"object","title":"OperationResultData"},"PracticeProblem":{"properties":{"problem_type":{"type":"string","enum":["mcq","frq","selectall"],"title":"Problem Type"},"problem_statement":{"type":"string","title":"Problem Statement"},"correct_answer":{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Correct Answer"},"difficulty":{"type":"string","enum":["easy","medium","hard"],"title":"Difficulty","default":"medium"},"answer_choices":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}],"title":"Answer Choices"},"explanation":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Explanation"},"scoring_details":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Scoring Details"},"include_graph":{"type":"boolean","title":"Include Graph","default":false},"graph_description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Graph Description"},"graph_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Graph Url"},"user_answer":{"anyOf":[{"type":"string"},{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"User Answer"}},"type":"object","required":["problem_type","problem_statement"],"title":"PracticeProblem"},"PracticeProblemSet":{"properties":{"set_id":{"type":"string","title":"Set Id"},"set_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Set Name"},"problems":{"anyOf":[{"items":{"$ref":"#/components/schemas/PracticeProblem"},"type":"array"},{"type":"null"}],"title":"Problems"},"cost":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Cost"}},"type":"object","required":["set_id"],"title":"PracticeProblemSet"},"PracticeProblemSetJobCreateRequest":{"properties":{"set_description":{"type":"string","title":"Set Description","description":"The description of the practice problem set"},"count":{"type":"integer","maximum":15.0,"minimum":1.0,"title":"Count","description":"The number of practice problems to create","default":5},"set_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Set Name","description":"The name of the practice problem set. One will be generated for you at additional cost if you do not provide one."},"search_for_problems":{"type":"boolean","title":"Search For Problems","description":"Whether to search the web for additional context to help with the practice problem set, at additional cost.","default":false},"webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Webhook Url","description":"The webhook URL to send the practice problem set creation status to."}},"type":"object","required":["set_description"],"title":"PracticeProblemSetJobCreateRequest"},"PracticeProblemSetJobCreateResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"set_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Set Id"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success","timestamp"],"title":"PracticeProblemSetJobCreateResponse"},"PracticeProblemSetStatusResponse":{"properties":{"set_id":{"type":"string","title":"Set Id"},"success":{"type":"boolean","title":"Success"},"status":{"type":"string","enum":["pending","completed","failed","status_error"],"title":"Status"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"total_problems":{"type":"integer","title":"Total Problems"},"completed_problems":{"type":"integer","title":"Completed Problems"},"response":{"anyOf":[{"$ref":"#/components/schemas/PracticeProblemSet"},{"type":"null"}]},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["set_id","success","status","total_problems","completed_problems","timestamp"],"title":"PracticeProblemSetStatusResponse"},"RenameJournalRequest":{"properties":{"journal_id":{"type":"string","title":"Journal Id","description":"The ID of the journal."},"title":{"type":"string","title":"Title","description":"The title of the journal."}},"additionalProperties":true,"type":"object","required":["journal_id","title"],"title":"RenameJournalRequest","description":"Request model for editing a journal title."},"RenameJournalResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"old_title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Old Title"},"new_title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"New Title"},"journal_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Journal Id"},"timestamp":{"type":"string","title":"Timestamp"}},"type":"object","required":["success"],"title":"RenameJournalResponse","description":"Response model for editing a journal title."},"SimpleSource":{"properties":{"url":{"type":"string","title":"Url"},"content":{"type":"string","title":"Content"}},"type":"object","required":["url","content"],"title":"SimpleSource","description":"Represents a source used for video generation."},"UpdateNodeOperation":{"properties":{"type":{"type":"string","const":"update_node","title":"Type"},"nodeId":{"type":"string","title":"Nodeid"},"node":{"$ref":"#/components/schemas/BlockNode-Input"}},"type":"object","required":["type","nodeId","node"],"title":"UpdateNodeOperation"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VideoCreateJobRequest":{"properties":{"model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model","description":"The model to use for the video generation","default":"picasso"},"messages":{"anyOf":[{"items":{"$ref":"#/components/schemas/BasicMessage"},"type":"array"},{"type":"null"}],"title":"Messages","description":"The messages that will be used to generate the video script"},"include_sources":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Include Sources","description":"Whether to gather data from the web to help with the video script","default":false},"search_for":{"anyOf":[{"type":"string","maxLength":100},{"type":"null"}],"title":"Search For","description":"The query to search the web for"},"source_count":{"anyOf":[{"type":"integer","maximum":5.0,"minimum":1.0},{"type":"null"}],"title":"Source Count","description":"The number of sources to gather from the web","default":3},"length":{"anyOf":[{"type":"integer","maximum":5.0,"minimum":1.0},{"type":"null"}],"title":"Length","description":"The number of paragraphs to generate for the video script","default":3},"script":{"anyOf":[{"type":"string","maxLength":6000},{"type":"null"}],"title":"Script","description":"The script to use for the video, with sections delimited by '-----'"},"upload_to_s3":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Upload To S3","description":"Whether to upload the video to S3","default":false},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"The title of the video, if you want to provide one","default":""},"webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Webhook Url","description":"The Webhook URL to send the video completion response to"},"exclude_watermark":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Watermark","description":"Whether to exclude the watermark from the video","default":false}},"type":"object","title":"VideoCreateJobRequest","description":"Request model for creating a video generation job."},"VideoCreateJobResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"video_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Id"}},"type":"object","required":["success"],"title":"VideoCreateJobResponse","description":"Response model for video job creation."},"VideoJobStatusResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"completion_percentage":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Completion Percentage"},"video_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Video Id"},"status":{"type":"string","enum":["pending","completed","failed","status_error"],"title":"Status"},"response":{"anyOf":[{"$ref":"#/components/schemas/VideoResponse"},{"type":"null"}]},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"}},"type":"object","required":["success","status"],"title":"VideoJobStatusResponse","description":"Response model for video job status checks."},"VideoResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"},"s3_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"S3 Url"},"b64_video":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"B64 Video"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"transcript":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transcript"},"sources":{"anyOf":[{"items":{"$ref":"#/components/schemas/SimpleSource"},"type":"array"},{"type":"null"}],"title":"Sources"},"cost":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Cost","default":0.0},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model","default":"picasso"},"timestamp":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Timestamp"}},"type":"object","required":["success"],"title":"VideoResponse","description":"Complete video response with all metadata."}},"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"}}}}